Sales Rfq
The sales rfq resource.
/salesRfqList sales rfqs
Retrieve a paginated list of sales rfqs. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/salesRfq?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"customerId": "xyz789"
}
]/salesRfqRetrieve a sales rfq
Fetch a single sales rfq by filtering on `id`.
Query parameters
idstringMatch on the sales rfq's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/salesRfq?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"customerId": "xyz789"
}/salesRfqCreate a sales rfq
Create a new sales rfq.
Body parameters
rfqIdstringrequiredrevisionIdnumberrequiredstatussalesRfqStatusrequiredemployeeIdstringReferences user.id
customerIdstringReferences customer.id
customerContactIdstringReferences customerContact.id
customerReferencestringrfqDatedaterequiredexpirationDatedatelocationIdstringReferences location.id
assigneestringReferences user.id
companyIdstringrequiredReferences company.id
customFieldsobjectcustomerLocationIdstringReferences customerLocation.id
externalNotesobjectinternalNotesobjectsalesPersonIdstringtagsarraynoQuoteReasonIdstringReferences noQuoteReason.id
opportunityIdstringReferences opportunity.id
completedDatetimestampcustomerEngineeringContactIdstringReferences customerContact.id
curl --request POST \
--url https://rest.carbon.ms/salesRfq \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"rfqId":"xyz789","revisionId":0,"status":"string","rfqDate":"2026-01-01","companyId":"xyz789"}'{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"customerId": "xyz789"
}/salesRfqUpdate a sales rfq
Update an existing sales rfq, matched on `id`.
Body parameters
rfqIdstringrequiredrevisionIdnumberrequiredstatussalesRfqStatusrequiredemployeeIdstringReferences user.id
customerIdstringReferences customer.id
customerContactIdstringReferences customerContact.id
customerReferencestringrfqDatedaterequiredexpirationDatedatelocationIdstringReferences location.id
assigneestringReferences user.id
companyIdstringrequiredReferences company.id
customFieldsobjectcustomerLocationIdstringReferences customerLocation.id
externalNotesobjectinternalNotesobjectsalesPersonIdstringtagsarraynoQuoteReasonIdstringReferences noQuoteReason.id
opportunityIdstringReferences opportunity.id
completedDatetimestampcustomerEngineeringContactIdstringReferences customerContact.id
curl --request PATCH \
--url 'https://rest.carbon.ms/salesRfq?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"rfqId":"xyz789"}'{
"id": "abc123def456",
"rfqId": "xyz789",
"revisionId": 0,
"status": "string",
"rfqDate": "2026-01-01",
"companyId": "xyz789",
"employeeId": "xyz789",
"customerId": "xyz789"
}/salesRfqDelete a sales rfq
Delete a sales rfq, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the sales rfq to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/salesRfq?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'